<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" media-type="text/html" indent="yes"/>
<xsl:template match="/">
	<html>
    <head>
    </head>
		<body>
			<TABLE style="border-collapse:collapse;">
        <THEAD>
      	  <xsl:for-each select="dbexec/rec[1]/*">
          <TH style="border:1px solid #000;padding:2px;padding-left:4px;padding-right:4px;">
            <xsl:value-of select="name()" />
          </TH>
      	  </xsl:for-each>
        </THEAD>
				<TBODY>
          <xsl:apply-templates select="dbexec/rec"/>
				</TBODY>
			</TABLE>		
		</body>
	</html>
</xsl:template> 
<xsl:template match="rec">
	<TR>
	  <xsl:for-each select="*">
    <TD style="border:1px solid #000;padding:2px;padding-left:4px;padding-right:4px;">
      <xsl:if test="string-length(.)!=0">
        <xsl:value-of select="." />
      </xsl:if>
    </TD>
	  </xsl:for-each>
	</TR>
</xsl:template>
</xsl:stylesheet>
